Exception List Items

List Items in an Exception List

get

Returns a list of all items within a specific exception list.

Authorizations
AuthorizationstringRequired

Use your AccountSID as the username and AuthToken as the password.

Path parameters
AccountSIDstringRequired
ExceptionListIdintegerRequired

The unique identifier for the exception list.

Query parameters
ValuestringOptional

Filter items by their 'Value' (the specific SKU or Category).

Responses
200

A paginated list of exception list item objects.

application/json
get
/Advertisers/{AccountSID}/ExceptionLists/{ExceptionListId}/Items
cURL
200

A paginated list of exception list item objects.

Create Items in an Exception List

post

Creates one or more new items for an exception list, either via form parameters for a single item or by uploading a file for multiple items.

Authorizations
AuthorizationstringRequired

Use your AccountSID as the username and AuthToken as the password.

Path parameters
AccountSIDstringRequired
ExceptionListIdintegerRequired

The unique identifier for the exception list.

Body
ValuestringRequired

The CATEGORY or SKU value.

Example: CA
NamestringOptional

Display name for contracting purposes.

Example: California
UpsertbooleanOptional

If true, updates an existing item with the same 'Value'.

Default: falseExample: true
Responses
200

The request was successful.

application/json
StatusstringOptional

Indicates whether the operation was successful.

Example: OK
Uristring · uri-referenceOptional

The unique reference to the affected resource.

post
/Advertisers/{AccountSID}/ExceptionLists/{ExceptionListId}/Items
cURL
200

The request was successful.

Delete All Items from an Exception List

delete

Permanently deletes all items in an exception list. This cannot be undone.

Authorizations
AuthorizationstringRequired

Use your AccountSID as the username and AuthToken as the password.

Path parameters
AccountSIDstringRequired
ExceptionListIdintegerRequired

The unique identifier for the exception list.

Responses
200

All items were deleted successfully.

application/json
StatusstringOptional

Indicates that the resource was deleted.

Example: DELETED
delete
/Advertisers/{AccountSID}/ExceptionLists/{ExceptionListId}/Items
cURL
200

All items were deleted successfully.

Replace All Items in an Exception List

patch

Replaces all items within an existing exception list by uploading a new .CSV or .XLSX file.

Authorizations
AuthorizationstringRequired

Use your AccountSID as the username and AuthToken as the password.

Path parameters
AccountSIDstringRequired
ExceptionListIdintegerRequired

The unique identifier for the exception list.

Body
Filestring · binaryRequired

A .CSV or .XLSX file containing the new items.

Responses
200

The request was successful.

application/json
StatusstringOptional

Indicates whether the operation was successful.

Example: OK
Uristring · uri-referenceOptional

The unique reference to the affected resource.

patch
/Advertisers/{AccountSID}/ExceptionLists/{ExceptionListId}/Items
cURL
200

The request was successful.

Get Exception List Item Details

get

Retrieves the details of a single item from an exception list.

Authorizations
AuthorizationstringRequired

Use your AccountSID as the username and AuthToken as the password.

Path parameters
AccountSIDstringRequired
ExceptionListIdintegerRequired
ItemIdintegerRequired

The unique identifier for the exception list item.

Responses
200

A single exception list item object.

application/json
IdintegerOptional

The unique identifier for the exception list item.

Example: 1001
ValuestringOptional

The CATEGORY or SKU value.

Example: CA
NamestringOptional

Display name for the item.

Example: California
MatchModestring · enumOptional

How the value is matched against incoming actions.

Possible values:
ListIdintegerOptional

The unique identifier of the parent exception list.

Example: 99999
CreatedDatestring · date-timeOptional

The date and time the item was created.

Example: 2026-01-15T10:00:00-08:00
Uristring · uri-referenceOptional

The unique reference to this item in the impact.com API.

Example: /Advertisers/<AccountSID>/ExceptionLists/99999/Items/1001
get
/Advertisers/{AccountSID}/ExceptionLists/{ExceptionListId}/Items/{ItemId}
cURL
200

A single exception list item object.

Delete an Exception List Item

delete

Permanently deletes a single item from an exception list. This cannot be undone.

Authorizations
AuthorizationstringRequired

Use your AccountSID as the username and AuthToken as the password.

Path parameters
AccountSIDstringRequired
ExceptionListIdintegerRequired
ItemIdintegerRequired

The unique identifier for the exception list item.

Responses
200

The item was deleted successfully.

application/json
StatusstringOptional

Indicates that the resource was deleted.

Example: DELETED
delete
/Advertisers/{AccountSID}/ExceptionLists/{ExceptionListId}/Items/{ItemId}
cURL
200

The item was deleted successfully.

Last updated